# listreceivedbylabel {disallowed} - Dash

#### Parameters

`Confirmations` - number (int)

Optional.

The minimum number of confirmations a transaction must have before it is counted towards the balance. Use 0 to count unconfirmed transactions. Default is 1.

`addlocked` - bool

Optional.

Add the balance from InstantSend locked transactions.

`Include Empty` - bool

Optional.

Set to true to display accounts which have never received a payment.

Set to false (the default) to only include accounts which have received a payment.

Any account which has received a payment will be displayed even if its current balance is 0.

`Include Watch-Only` - bool

Optional.

If set to true, include watch-only addresses in details and calculations as if they were regular addresses belonging to the wallet.

If set to false (the default), treat watch-only addresses as if they didn't belong to this wallet.

#### Request

```java
curl --location --request POST 'https://go.getblock.io/<ACCESS-TOKEN>/' \
--header 'Content-Type: application/json' \
--data-raw '{"jsonrpc": "2.0",
"method": "listreceivedbylabel",
"params": [null, null, null, null],
"id": "getblock.io"}'
```

#### Response

```java
{
    "result": "null",
    "id": "getblock.io",
    "status_code": 405,
    "message": "Method not allowed"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.getblock.io/api-reference/dash-dash/dash_listreceivedbylabel.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
